#599 Cannot generate XSD from predefined ODD

AMBER
closed-fixed
None
5(default)
2013-09-11
2013-09-11
Lou Burnard
No

Load any predefined ODD (e.g. Lite, Bare etc) into web roma. Attempt to generate an XSD schema. The message

MESSAGES
/tmp/3e13a6052aa99118e1f34d489dfacb96.tmp:2:6: fatal: The processing instruction target matching "[xX][mM][lL]" is not allowed. zip error: Nothing to do! (/tmp/3e13a6052aa99118e1f34d489dfacb96.zip)
Schema
Could not create schema.

appears

Workaround is to use commandline Roma, which works fine; or not use XSD I suppose.

Related

Bugs: #599

Discussion

  • agreed. workaround is to use http://tei.oucs.ox.ac.uk/Roma/

    the issue is with the OxGarage install on www.tei-c.org

     
    • status: open --> open-accepted
    • assigned_to: Sebastian Rahtz
     
  • Lou Burnard
    Lou Burnard
    2013-09-11

    Sadly, this is still not quite right:

    MESSAGES
    sh: 1: zip: not found
    Schema
    Could not create schema.

    On 11/09/13 10:00, Sebastian Rahtz wrote:

    agreed. workaround is to use http://tei.oucs.ox.ac.uk/Roma/

    the issue is with the OxGarage install on www.tei-c.org


    [bugs:#599] http://sourceforge.net/p/tei/bugs/599/ Cannot generate
    XSD from predefined ODD

    Status: open
    Created: Wed Sep 11, 2013 08:56 AM UTC by Lou Burnard
    Last Updated: Wed Sep 11, 2013 08:56 AM UTC
    Owner: nobody

    Load any predefined ODD (e.g. Lite, Bare etc) into web roma. Attempt
    to generate an XSD schema. The message

    MESSAGES
    /tmp/3e13a6052aa99118e1f34d489dfacb96.tmp:2:6: fatal: The processing
    instruction target matching "[xX][mM][lL]" is not allowed. zip error:
    Nothing to do! (/tmp/3e13a6052aa99118e1f34d489dfacb96.zip)
    Schema
    Could not create schema.

    appears

    Workaround is to use commandline Roma, which works fine; or not use
    XSD I suppose.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/tei/bugs/599/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #599

  • zip re-enabled on tei.oucs.ox.ac.uk

     
  • the two Romas should be working properly again now

     
    • status: open-accepted --> closed-fixed